Subject: Re: [can-next 0/5] can: remove private skb headroom infrastructure

From: Jakub Kicinski <[email-masked]>
Date: Sat, 17 Jan 2026 09:15:43 -0800

On Fri, 16 Jan 2026 11:31:14 +0100 Oliver Hartkopp wrote:
> Long story short: Using the common pattern to wrap a union around 
> dual-usable skb space is the most efficient and least risky solution IMHO.

The concern is that we're making a precedent for, let's call it -
not-routable-networking technology to redefine fields in skb that
it doesn't need. From the maintainability perspective that's a big
risk, IMHO. I fully acknowledge tho that using md dst will be a lot
more work. Which makes this situation an unpleasant judgment call :(